Bug 764330 - (GLUSTER-2598) Volume access option suceeds with any string value
Volume access option suceeds with any string value
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gaurav
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-28 05:39 EDT by Gaurav
Modified: 2011-10-03 03:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa12
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaurav 2011-03-28 05:39:29 EDT
Volume access option in NFS should take only "read-only, read-write" values.

gaurav@gaurav-Vostro-3400:~/new_gluster$ sudo gluster volume set new_vol2 nfs.volume-access aaa
Set volume successful
Comment 1 Vijay Bellur 2011-03-29 04:14:47 EDT
PATCH: http://patches.gluster.com/patch/6613 in master (NFS : Volume access option accepts only valid values.)
Comment 2 Saurabh 2011-04-06 00:22:37 EDT
It's working only for read-only, read-write, 


but correct the suggestion string if the wrong option is provided,


gluster> volume set dist2 nfs.volume-access read-bing
option nfs3.dist-strip1.volume-access read-bing: 'read-bing' is not valid (possible options are read-only, read-write, )


presently the statement finishes with a comma space and then a bracket.

Rather it should be full-stop and closing bracket without space.
Comment 3 Anand Avati 2011-06-19 20:41:32 EDT
PATCH: http://patches.gluster.com/patch/6725 in master (CLI : Display possible options in proper format.)
Comment 4 Saurabh 2011-10-03 00:19:36 EDT
root@Centos-Gurav2 mnt]# 
[root@Centos-Gurav2 mnt]# /opt/glusterfs/3.3.0qa13/sbin/gluster volume set dist-rep nfs.volume-access read-bing
option nfs3.dist-rep.volume-access read-bing: 'read-bing' is not valid (possible options are read-only, read-write.)
Set volume unsuccessful
[root@Centos-Gurav2 mnt]# /opt/glusterfs/3.3.0qa13/sbin/gluster volume set dist-rep nfs.volume-access read     
option nfs3.dist-rep.volume-access read: 'read' is not valid (possible options are read-only, read-write.)
Set volume unsuccessful
[root@Centos-Gurav2 mnt]# /opt/glusterfs/3.3.0qa13/sbin/gluster volume set dist-rep nfs.volume-access read-
option nfs3.dist-rep.volume-access read-: 'read-' is not valid (possible options are read-only, read-write.)
Set volume unsuccessful
[root@Centos-Gurav2 mnt]# /opt/glusterfs/3.3.0qa13/sbin/gluster volume set dist-rep nfs.volume-access wread-only
option nfs3.dist-rep.volume-access wread-only: 'wread-only' is not valid (possible options are read-only, read-write.)
Set volume unsuccessful
[root@Centos-Gurav2 mnt]# 
[root@Centos-Gurav2 mnt]# /opt/glusterfs/3.3.0qa13/sbin/gluster volume set dist-rep nfs.volume-access wread-write1
option nfs3.dist-rep.volume-access wread-write1: 'wread-write1' is not valid (possible options are read-only, read-write.)
Set volume unsuccessful
[root@Centos-Gurav2 mnt]# glusterfs -V
glusterfs 3git built on Jul  5 2011 22:14:42
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2010 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU Affero General Public License.

Note You need to log in before you can comment on or make changes to this bug.